0.264 2024-03-27
----------------


MAME Testers bugs fixed
-----------------------
- 06483: [Original Reference] (rm/rm380z.cpp) rm380z34d, rm380z34e: COS 3.4 systems boot to debugger. (Robin Sergeant)
- 08736: [DIP/Input] (apple/apple2gs.cpp) apple2gs: Joystick buttons are ignored. (Kelvin Sherlock)


New working systems
-------------------
Apple Computer Macintosh TV [R. Belmont]
Epoch / SSD Company LTD Tokyo Friend Park 2 (Japan) [David Haywood, TeamEurope]
Excalibur Electronics Ivan The Terrible [hap, Sean Riddle]
Excalibur Electronics Mirage (Excalibur) [hap, Sean Riddle]
Hana Awase 6 Part II [hammy]
Noise Toys Inc. Jaminator [Devin Acker]
Perfect Technology Star Diamond (v1.04) [hap, Berger]
Saitek Kasparov Chess Academy [hap, Sean Riddle]
Vampire (prototype?) [Tomasz Slanina, Heiko Klusmann]
Visual Technology Visual 50 [Dirk Best, Bitsavers]
Visual Technology XDS-19P [Dirk Best, Bitsavers, Mattis Lind]
Yeno 416 XL (Yeno) [hap, Berger, Achim]


New working clones
------------------
1942 (Itisa bootleg) [Recreativas.org]
Bagman (bootleg on Moon Cresta hardware, set 3) [David Bosque, Recreativas.org]
CXG Systems / Newcrest Technology Super Enterprise (model 210.C) [hap, Berger]
Diviertate Galaxia (Multivideo, Spanish bootleg of Galaxian) [Juan Romero, Recreativas.org]
Dribbling (Automave) [David Bosque, Recreativas.org]
Flicky (128k Version, 315-5051, larger ROMs, newer) [bisboch]
Fruit Dream (Japan, Ver. 1.10) [hammy]
Mr Pac-Turbo ('Made in Greece' Fermin bootleg)
  [Roberto Fresca, Gabriel Vega (El Pampa), Emmanuel Firmapaz, Club Argentino de Arcades]
Ms Pac Man Twin (Argentina, set 2) [Roberto Fresca, Gabriel Vega (El Pampa), Emmanuel Firmapaz, Club Argentino de Arcades]
Novag Industries Super Nova (Novag, v1.05 set 2) [Berger]
Rail Chase (Japan, Rev B) [coolmod, The Dumping Union]
Research Machines RM-380Z, COS 4.0B with HRG [Robin Sergeant]
Run Run (Do! Run Run bootleg) [bisboch]
Texas Instruments Little Professor (1976 version, rev. A) [hap, Sean Riddle]
Texas Instruments Little Professor (1976 version, rev. B) [hap, Sean Riddle]
VTech Dora the Explorer - Dora TV Globe-Trotter (France) [David Haywood, TeamEurope]


Systems promoted to working
---------------------------
Tomy / SSD Company LTD Nihon Isshuu - Boku wa Plarail Untenshi (Japan) [David Haywood]
Tomy / SSD Company LTD Tomica Carnavi Drive (Japan) [David Haywood]


New systems marked not working
------------------------------
ADDS 4000/260 [Bitsavers]
Alantin - Aladdin's Magic Lamp [Ioannis Bampoulas]
Bao Qing Tian [dyq, little0, Guru]
Bu Bu Car (English) [Victor Fernandez (City Game), Recreativas.org]
Cal Omega - Game 21.4 (Wild Double-Up Poker) [Roberto Fresca]
Captain Shark (Ver. CS.01.6, Apr 21 2006) [Ioannis Bampoulas]
Caribe [Arcade Planet, Recreativas.org]
Casio Super Picky Talk - Forest of Gurutan [QUFB]
Charleston (V2.1, Catalonia) [Arcade Planet, Recreativas.org]
Croaky Karaoke 16-in-1 [David Haywood, TeamEurope]
Dark Seal (8-liner) [Ioannis Bampoulas]
Epoch / SSD Company LTD Excite Tennis (Japan) [David Haywood, TeamEurope]
Festival: Goldfish Scoop [Darksoft, rtw, trap15]
Gladiadores (V1.0, CAA) [Arcade Planet, Recreativas.org]
Happy Farm (Ver. US.01.02.B) [Ioannis Bampoulas]
Happy Lucky! [Phil Bennett]
Jinxiu Zhonghua [dyq, little0, Guru]
Konami Goo Choco Lantan Spoo Daisuki! Playmat [David Haywood, TeamEurope]
Lexibook Junior My 1st Drawing Studio [David Haywood, TeamEurope]
Maque Wangchao / Chaoji Damanguan 2 - Jiaqiang Ban (China, V100C) [dyq, little0, Guru]
New Carrera - Version 2000 [Ioannis Bampoulas]
New DongmulDongmul [Taksangs, charlie]
Play Vision Who Wants to Be a Millionaire? (Play Vision, Plug and Play, UK, 8-bit version) [David Haywood, TeamEurope]
Prize Zone Gold (USA, v2.01) [Jim Hernandez, anonymous]
Pull The Trigger [Arcade Planet, Recreativas.org]
Quasimidi Musikelektronik GmbH Quasimidi Quasar [DBWBP]
Quasimidi Musikelektronik GmbH TechnoX [DBWBP]
Roland D-70 Super LA Synthesizer [Giulio Zausa, ValleyBell, R. Belmont]
Roland Sound Canvas SC-55mkii [nukeykt, R. Belmont]
San Se Caishen (Version 0502) [dyq, little0, Guru]
SDW Games Sudoku: Do You Sudoku? [David Haywood, TeamEurope]
Sega / ALi ST-V 486 dev box PC [Darksoft, TeamEurope, The Dumping Union]
Shizhan Sanguo Ji Jiaqiang Ban (Version 8.9 980413) [dyq, little0, Guru]
Speed Master (Ver. V1.0, Apr 29 2004) [Siftware]
Thinkway Toys Interactive M.A.G. Motion Activated Gear: Spider-Man - Triple Threat [David Haywood, TeamEurope]
Thinkway Toys Interactive M.A.G. Motion Activated Gear: The Batman - Villains of Gotham City [David Haywood, Sean Riddle]
Thinkway Toys Interactive M.A.G. Motion Activated Gear: Toy Story and Beyond! Buzz Lightyear Galactic Adventure
  [David Haywood, Sean Riddle]
Tong Zi Maque [dyq, little0, Guru]
Wicked Witch (Ver. AA.01.A) [Ioannis Bampoulas]
Yamaha PSR-2000 [Matt, O. Galibert]


New clones marked not working
-----------------------------
Animal House (set 4) [Taksangs, charlie]
Bomberman (Version 6.6, Avraam bootleg) [Ioannis Bampoulas]
Bomberman (Version 6.6, J.T. bootleg) [Ioannis Bampoulas]
Casio CFX-9850GB Plus [QUFB]
Corsarios (Cirsa slot machine, V5.10D, Catalonia) [Arcade Planet, Recreativas.org]
Fisher-Price Fun 2 Learn Smart Fit Park (France) [David Haywood, TeamEurope]
Instant Winner (Spanish) [Roberto Fresca]
Moj mikro Slovenija [Ra?unalniški muzej]
Speed Master (Ver. V1.0, Apr 28 2004) [Siftware]
Speed Master (Ver. V1.0, May 23 2003) [Siftware]
Tandy Radio Shack Tandy 4000 [Adrian's Digital basement]
Transporter the Rescue (LA-1) [Scott Charles, PinMAME]
Two Minute Drill (Ver 2.2A 1993/10/18) [Sergio Galiano]


New working software list items
-------------------------------
a2600: R2D Tank (prototype), Spiders (prototype) [Atarimania]
apple2_flop_misc: Anti-M (version 1.9), Anti-M (version 2.0), Anti-M (version 2.1), Anti-M (version 2.2) [4am, Firehawke]
cdi: Hotel Mario (prototype v0.09, 19931123) [redump.org]
ekara_japan:
  Enka Taizen Dai San-hen (Japan) (EC0085-ETZ), J-Pop Mix Vol.42 (Japan) (EC0081-JPM), J-Pop Mix Vol.43 (Japan) (EC0083-JPM)
  [David Haywood, TeamEurope]
ekara_japan_g: Best Hit Volume 5 (Japan) (GC0012-BHT), Best Hit Volume 6 (Japan) (GC0013-BHT) [David Haywood, TeamEurope]
ekara_japan_kd: Kids' Song 20 (Japan) (KD-2) [David Haywood, TeamEurope]
jaminator:
  Classic Rock I (USA), Classic Rock II (USA), Hard Rock I (USA), Hard Rock II (USA), Lead Rock Guitarists (USA), Modern Rock (USA)
  [Devin Acker]
msx1_cass:
  The Games Collection (Europe) [anonymous]
  Games Tutor (I) (Spain), Hard-Copy (Spain) [file-hunter]
msx1_flop_525:
  Poster Maker (Brazil), Professional Paint (Brazil), Professional Stripes (Brazil), Retrato Falado (Brazil), SuperCalc 2 (Brazil)
  [file-hunter]
msx2p_cart:
  Ghostly Manor [9958 crew]
  Nothing Thing [#msxdev Compo]
sms:
  Extreme Volleyball Infernal League (v2.0.21, demo) [raphnet]
  Arcade Volleyball, Blast Arena, Extreme Volleyball Infernal League (v1.0.2), Extreme Volleyball Infernal League (v1.0.5),
  Extreme Volleyball Infernal League (v1.0.6), Fantasy Zone: The Maze (prototype), Jewel Stone (demo), Lucky Penguin (v1.0),
  Lucky Penguin (v1.1), Pitman (v1.02), Pitman (v1.03), SKBN (v1.0), SKBN (v1.1), SKBN (v1.2), SKBN (v1.3), SKBN (v1.4),
  Wing Warriors, Wing Warriors (fix) [SMS Power!]
spectrum_cass:
  The Last Escape [Ariel Endaraues]
  Metamorphosis, Metamorphosis (128K, Valentine's Day demo), Metamorphosis (48K, Valentine's Day demo) [ITNL-team]
  Corrida de Cavalos, Ditador + Treinador de Futebol, Diversidade e Classificação de Seres Vivos,
  The Dungeon of Torgar (Adventure Workshop, alt), O Esqueleto Humano, Férias em Portugal, H.E.R.O. (Proein Soft), Mira Técnica,
  Mira Técnica (patched), Orgãos Reprodutores, Ring-O (alt), Scrabble + Campo de Minas, Super Soho, Swords & Sorcery (set 4),
  Treinador de Futebol [Planeta Sinclair]
  48K ?3 - Maziacs, 48K ?5 - Regata, 48K ?6 - Especial Marcianitos, 48K ?9 - Frank N' Stein, 48K ?11 - Camara Secreta,
  Bulbo and the Blue Dragon, Bulbo's Intrepid Adventure, Chip's Challenge (Erbe), Chip's Challenge (one file), Star Bowls,
  Wudang (Pure Basic Contest version), Wudang (standard loader), Wudang (turbo loader) [Spectrum Computing]
  Italia 1944 (English), Italia 1944 (German), Italia 1944 (Italian), Italia 1944 (Portuguese), Italia 1944 (Russian),
  Italia 1944 (Spanish) [Zankle Soft]
  Super Bomberman 2 Remix (demo v0.1), Super Bomberman 2 Remix (demo v1.1) [ZX Evolution]


New software list items marked not working
------------------------------------------
a2600: Hobo (prototype) [Atarimania]
bkrankp_cart: J-Pop Purple, J-Pop White, Yo-Kai Watch [David Haywood, TeamEurope]
evio: Disney Special 1 [David Haywood, TeamEurope]
gcslottv: J?-? Junior [David Haywood, TeamEurope]
hikara:
  Hi-kara 10-song capacity user cartridge (used, with 10 songs) (Japan),
  Hi-kara 20-song capacity user cartridge (used, with 20 songs) (Japan) [David Haywood, TeamEurope]
megadriv: PGA Tour Golf II for use with the Personal Trainer [Brian Nocenti, VGHF]
msx1_cass: T-GRAPH (Europe) [file-hunter]
msx1_flop_525: Gradius System (Brazil) [file-hunter]
msx2p_cart: Knit Designer (Japan) [Takamichi]
spectrum_cass: Prioridade Em Cruzamentos [Planeta Sinclair]


Merged pull requests
--------------------
- 11608: util/ioprocs.cpp: Added wrappers to simplify common patterns. [Vas Crabb]
- 11997: heath/h17_fdc.cpp: Added skeleton H-88-1 hard sectored floppy drive controller device. [Mark Garlanger]
- 12003: apple/apple2e.cpp: Correctly reset IOU soft switches on system reset. [xotmatrix]
- 12004: tvgames: Added seven TV games (not working). [David Haywood, TeamEurope, Sean Riddle]
- 12007: video/mc6845.cpp: Re-added zero active width/height support; suppress drawing when DE is not asserted. [Mark Garlanger]
- 12010: heathkit/tlb.cpp: Added a layout to give approximately correct visible screen area and a visible bezel. [Mark Garlanger]
- 12039: nmk/nmk214.cpp: Added NMK214 graphics unscrambling device. [Sergio Galiano]
- 12044: rm/rm380z.cpp: Added support for high resolution graphics, colour and text character dimming. [Robin Sergeant]
- 12054: emu/save.cpp: Made illegal save state registrations always fatal. [Vas Crabb]
- 12058: osd/osdnet.cpp: Removed dependency from OSD network device to libemu. [Vas Crabb]
- 12061: casio/cfx9850.cpp: Added Casio CFX-9850GB Plus (not working). [QUFB]
- 12064: msx1_flop_525.xml: Added six Brazilian items (five working), and improved metadata. [file-hunter, Wilbert Pol]
- 12065: docs: Described EMULATOR make option. [Firehawke]
- 12067: debugger/debuggdbstub.cpp: Fixed some M68000 register mappings, and strip line endings from XML. [Bartman/Abyss]
- 12069: scripts/build/verinfo.py: Use a raw string literal for regular expression (fixes Pylint warnings). [Kelvin Sherlock]
- 12070: coco_cart.xml: Corrected ROM for Predator. [Tim Lindner]
- 12072: Added five TV games (two working) and a Gachinko Sh?bu! PachisloTV cartridge (not working). [David Haywood, TeamEurope]
- 12073: apple2_flop_misc.xml: Added four new versions of Anti-M. [4am, Firehawke]
- 12074: Use literal romaji for Jikkyou Powerful Pro Yaky? game titles. [Vas Crabb]
- 12078: machine/spi_sdcard.cpp: Implemented send CSD command for SD 2.x cards. [holub]
- 12079: cpu/g65816: Fixed issues with (stack,S),Y addressing and emulation mode quirks (passes snes-tests). [Adrian Siekierka]
- 12080: bus/mc10: Added partial emulation of the Alice Multiports Extension (only RAM/ROM features emulated). [Sylvain Glaize]
- 12083: Fixed a Korean transliteration in a comment, and cleaned up spacing in a few places. [Michael Sanborn]
- 12085: scv.xml: Added cartridge RAM to BASIC Nyuumon to make it work properly. [TWEgit]
- 12086: pc1512_hdd.xml: Changed interface to match the ISA Fixed Disk Controller card used in the pc1512hd20. [einstein95]
- 12087: util/cdrom.cpp: Refactored parse_cue/parse_gdicue to fix data integrity issues (should fix GitHub #12081). [Windy Fairy]
- 12089: machine/1801vp128.cpp: Emulated 1801VP1-128 MFM codec for floppy drive controllers. [shattered]
- 12090: Moved Cave drivers and devices to atlus project and a new cave project. [Angelo Salese]
- 12096: a2600.xml: Added three prototypes (two working). [Atarimania, ArcadeShadow]
- 12099: cpu/hcd62121: Implemented additional move instructions and timer wait. [QUFB]
- 12100: fmtowns_cd.xml: Marked demos as clones, and use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 12103: capcom/vulgus.cpp: Added a 1942 bootleg from Itisa (has bad graphics). [Recreativas.org, ClawGrip]
- 12104: namco/namcos2.cpp: Added the zoom table ROM to cosmogng and cosmogngj (same as other games on the platform). [PabloArcade]
- 12106: galaxian/galaxian.cpp: Added another Bagman bootleg on Moon Cresta hardware. [David Bosque, Recreativas.org, ClawGrip]
- 12107: sega/megatech.cpp: Added/corrected cartridge/PCB/ROM labels for Shinobi, Fantasy Zone and Parlour Games.  [Jos van Mourik]
- 12108: jaleco/megasys1.cpp: Added microcontroller program for Cybattler (also added to Chimera Beast). [kuze, Sergio Galiano]
- 12109: igs/goldstar.cpp: Added a fourth version of Animal House, and PLD dumps for “animalhsb”. [Taksangs, charlie, ClawGrip]
- 12110: taito/2mindril.cpp: Added Two Minute Drill Ver 2.2A (not working). [Sergio Galiano]
- 12113: machine/t10mmc: Fixed MSF to LBA conversion for “play audio MSF” T10 multimedia command. [Windy Fairy]
- 12114: msx1_cass.xml: Added four items (thee working), and added disks for Aackobase II. [file-hunter, Wilbert Pol]
- 12115: imagedev/cassette.cpp, formats/flacfile.cpp: Added support for saving cassette images in FLAC format. [Wilbert Pol]
- 12116: cpu/z80/r800dasm.cpp: Added a disassembler for the ASCII R800 CPU. [Wilbert Pol]
- 12117: bus/msx/slot/disk.cpp: Added banking support for the MSX Turbo-R internal disk ROM. [Wilbert Pol]
- 12118: formats/dmk_dsk.cpp: Improved format identification checks. [Wilbert Pol]
- 12121: sms.xml: Added nineteen working items. [SMS Power!, raphnet, ArcadeShadow]
- 12123: cdi.xml: Added a prototype of Hotel Mario. [redump.org, David Silva]
- 12124: emu/debug/debugcmd.cpp: Added NUL-terminated string argument support to printf/logerror. [Patrick Mackinlay]
- 12125: funworld/photoply.cpp: Fixed a spelling error in a comment. [ClawGrip]
- 12126: taito_h.cpp: Updated notes, DIP switch defaults and emulation status flags. [Sergio Galiano]
- 12128: rm/rm380z.cpp: Use SN74S262 for VDU-40 COS 3.4; video/sn74s263.cpp: Added ROM based on data sheet. [Robin Sergeant]
- 12129: bfm/bfm_bd1.h, bfm/bfm_bda.h: Made some static data members constexpr so they will be instantiated automatically. [balrog]
- 12130: msx2p_cart.xml: Added a software list for MSX2+ cartridges with three items (two working). [Wilbert Pol]
- 12132: igs/pgm2.cpp: Dumped the program ROM for Bu Bu Car. [Victor Fernandez (City Game), Recreativas.org, ClawGrip]
- 12133: misc/vampire.cpp: Added Entertainment Enterprises Vampire. [Tomasz Slanina, Heiko Klusmann, David Haywood]
- 12134: tecmo/tecmp.cpp: Changed rygar/gemini difficulty setting names to better reflect documentation. [Devin Acker]
- 12137: cpu/hcd62121, casio/cfx9850.cpp: Improved emulation, and fixed issues with debugger. [QUFB]
- 12138: casio/pickytlk.cpp: Added a skeleton driver for the Casio Super Picky Talk children’s personal digital assistant. [QUFB]
- 12139: apple/apple2gs.cpp: Fixed c000_r to return joystick button states in bit 7 (fixes MT08736). [Kelvin Sherlock]
- 12141: subsino/subsino.cpp: Added New DongmulDongmul from Hyoja Game (not working). [Taksangs, charlie, ClawGrip]
- 12144: rm/rm380z.cpp: Fixed disk drive handling so double sided disks work, and added 8" disk support. [Robin Sergeant]
- 12146: misc/jaminator.cpp, jaminator.xml: Added driver and software list for Noise Toys Jaminator guitar toy. [Devin Acker]
- 12147: mr/dribling.cpp: Added netlist sound simulation for Model Racing Dribbling. [Paperinik]
- 12148: spectrum_cass.xml: Added 41 items (40 working), and improved metadata. [ArcadeShadow]
- 12149: rm/rm380z.cpp: Added sound output for COS 4.0 systems. [Robin Sergeant]
- 12150: galaxian/galaxian.cpp: Added Diviertate Galaxia (Multivideo bootleg of Galaxian). [Juan Romero, Recreativas.org, ClawGrip]
- 12151: cpu/t11: Improved trace trap processing, and added basic interrupt processing to the K1801VM1. [shattered]
- 12152: nmk/nmk16.cpp: Use emulated NMK214/NMK215 protection for more games. [Sergio Galiano]
- 12153: skeleton/pullttrigger.cpp: Added a skeleton driver for Pull the Trigger. [Arcade Planet, Recreativas.org, ClawGrip]
- 12155: heathkit/h89.cpp: Added missing conditions to some Ultimeth MTRHEX-2k DIP switch settings. [Mark Garlanger]
- 12157: cirsa/neptunp2.cpp: Added Charleston slot machine from Europea (not working). [Arcade Planet, Recreativas.org, ClawGrip]
- 12158: cirsa/neptunp2.cpp: Added two slot machines from Cirsa (not working). [Arcade Planet, Recreativas.org, ClawGrip]
- 12159: gp32.xml: Replaced abbreviations in descriptions and moved some comments to notes elements. [ArcadeShadow]
- 12160: snes_bspack.xml: Use lowercase for descriptive text. [ArcadeShadow]
- 12162: mr/dribling.cpp: Added a partial dump of an Automave version of Dribbling. [David Bosque, Recreativas.org, ClawGrip]
- 12163: tvgames/xavix.cpp: Hooked up controls for tomplc and tcarnavi, and promoted them to working. [David Haywood]
- 12166: rm/rm380z.cpp: Fixed 8" disk controller clock frequency and improved VDU-80 display. [Robin Sergeant]
- 12167: misc/diamondking.cpp: Added Caribe slot machine from SegaSA/Sonic. [Arcade Planet, Recreativas.org, ClawGrip]
- 12169: Reverted pull request #12007 – it breaks systems that draw content in areas with DE deasserted. [Vas Crabb]


Source changes
--------------
-Revert "temp revert for for 0.263 of https://github.com/mamedev/mame/commit/e4e5f3d918388a0455899abec3c02828209144dd" [hap]
 * This reverts commit 34cf9cbaeaa071cb5a8eb9e53ba4e180165577e3.

-osd/osdnet.cpp: Removed dependency from OSD network device to libemu. (#12058) [Vas Crabb]
 * This allows save states to be created and loaded when network interfaces are present.
 * device_network_interface may need some more attention to get save states taken while receiving a packet to work properly.

-emu/save.cpp: Made illegal save state registrations always fatal. (#12054) [Vas Crabb]

-util/ioprocs.cpp: Added wrappers for common patterns. (#11608) [Vas Crabb]
 * emu/diimage.h: Removed fread overloads that allocate memory for output.
 * util/core_file.cpp: Changed output size of load to size_t.

-machine/i82371sb: fix PIC mapping [angelosa]

-misc/odyssey: fix BIOS expansion ROM mapping [angelosa]

-pci/virge_pci: claim dms3d2kp ROM as virgedx from isa/svga_s3 [angelosa]

-isa/svga_s3: remove non-existant VIRGE/VIRGEDX ISA cards [angelosa]

-jumping: fix crash at start [hap]

-tmp68301: Add parity tx support [Olivier Galibert]

-h8 sci: use logmacro [Olivier Galibert]

-igt/gkigt.cpp: Redumped Game King keychip key00016. [Roberto Fresca]

-bus/pci: add Vision 864 and 968 cards [angelosa]

-hash/mac_cdrom.xml: Refine compatibility class for Mac OS 7.6.x to note that a 32-bit clean 68020 (original LC) is compatible.
 [R. Belmont]

New working systems
-------------------
Macintosh TV [R. Belmont]

New clones marked not working
-----------------------------
Instant Winner (Spanish) [Roberto Fresca]

-pci/vision: add Vision964, start implementing new MMIO for Vision 968 [angelosa]

-video/pc_vga_*: standardize DEFINE_DEVICE_TYPE descriptions [angelosa]

-video/pc_vga_s3: bulk rename s3_vga_device -> s3trio64_vga_device [angelosa]

-casio/cfx9850.cpp: Add new ROM for CFX-9850GB Plus (#12061) [qufb]

-misc/odyssey: fix screen orientation [angelosa]

-video/pc_vga_s3: separate Vision864/964/968 from Trio64, fix SDD UVCONFIG.EXE detection [angelosa]

-ata/xm3301: clarify set_model detection [Grull Osgo]

-video/pc_vga_s3: fix -validate [angelosa]

-video/voodoo_pci: fix Voodoo 2 PCI config values [angelosa]

-h8: add basic support for h8/3217, h8_watchdog: clock divider table was the wrong way around [hap]

-h83337: add readback of wscr and stcr [hap]

-machine/pc87306: preliminary COM1/COM2/LPT1 support [angelosa]

-misc/astropc: hookup Cx5530 devices [angelosa]

-formats/flopimg.cpp: Fix apparent logic error in write splice setting test [AJR]

-coreutil.h: Eliminate core_crc32 wrapper function in favor of util::crc32_creator [AJR]

New working clones
------------------
Transporter the Rescue (LA-1) [Scott Charles, PinMAME]

-dataeast/lemmings.cpp: consolidated driver in single file [Ivan Vangelista]

-bus/pci: separate AGP cards to their own container, add Laguna 3d as AGP slot option [angelosa]

-pc/quakeat: replace Laguna 3d experiment with Voodoo Banshee card [angelosa]

-misc/ez2d: fix validation [angelosa]

-trs/gime.cpp: Fix crash when FExx is constant and not allocated (#12071) [tim lindner]

New clones marked not working
-----------------------------
Moj mikro Slovenija [Ra?unalniški muzej]

-hash/coco_cart.xml: correct hash for Predator (#12070) [tim lindner]

-scripts/build/verinfo.py: Use a raw string literal for regular expression. (#12069) [ksherlock]
 * Fixes Pylint invalid escape sequence warning.

-gdbstub: fix checksum on Windows (#12067) [BartmanAbyss]
 * gdbstub: fix m68000 register names

-docs: Document building only the tools. (#12065) [Firehawke]

-dataeast/bwing.cpp: moved from bankdev to view, consolidated driver in single file [Ivan Vangelista]

-pc/pcipc_sis: replace svga_et4k default map with wd90c31_lr [angelosa]

-pc532: add floating-point unit [Patrick Mackinlay]
 * ns32381: add new device
 * ns32k: refactor slave interface
 * ns32k: fix format 9 instruction decoding

-h8_intc: don't detect an nmi at power-on when initial pin state is 'ASSERT_LINE', h8_timer: prevent multiple interrupts when timer
 wasn't clocked [hap]

-h8_timer: remove impossible check, h8_timer: overflow only happens when m_counter_cycle is the full range [hap]

-h8_timer: edge case: if live counter is above m_counter_cycle, first count to 0xff instead of immediate modulo [hap]

-h8_timer16: remove irq check from recalc_event for software that polls the timer irq flags with interrupts disabled, big
 performance drop for mu100 unfortunately [hap]

-Revert "pc532: add floating-point unit" [hap]
 * This reverts commit ca431df745f99606e130b96390bfeb2c38aa236e.

-h8_timer: a way to fix (almost all?) missed events [hap]

-g65816: Emulation accuracy fixes - (stack,S),Y and emulation mode quirks (#12079) [Adrian Siekierka]
 * Fix wraparound in (stack,S),Y addressing mode
 * Emulate (direct,X) emulation mode wraparound bug, fix handling of direct page accesses in emulation mode.
 * Ignore emulation mode for 24-bit pointer reads/writes
 * Force usage of native 16-bit stack handling for 65816-exclusive stack instructions
 * PEI also forces native 16-bit direct page handling
 * PLB reads from ($200) instead of ($100) when S=$1FF in emulation mode

-spi_sdcard.cpp: implement SEND_CSD (SD_TYPE_V2) (#12078) [holub]

-trs/mc10.cpp: Add "Multiport" cartridge and RAM expansion for the Matra & Hachette Alice (#12080) [Sylvain Glaize]

-h8_sci: Entirely revise clocking [Olivier Galibert]

-added preliminary OKI MSM6588 ADPCM Recorder device [hap]

-machine/sis5513_ide: housecleaning [angelosa]

-bus/pci: add PDC20262 card [Guru]

-pci/pdc20262: dump v1.14 BIOS and provide PCI config scan [Guru]

-bassstr, sbasssta: Skeleton input hookup [AJR]

-pc532: add floating-point unit [Patrick Mackinlay]
 * ns32381: add new device
 * ns32k: refactor slave interface
 * ns32k: fix format 9 instruction decoding

New systems marked not working
------------------------------
Happy Lucky! [Phil Bennett]

-konami/blockhl.cpp: made it use view instead of bankdev [Ivan Vangelista]

-h8_sci: Fix sync transmissions [Olivier Galibert]

-okim6258: small cleanup [hap]

-h8_timer16: revert https://github.com/mamedev/mame/commit/b18bf9cade56c2289cf03d0207577548868929a6 - manually check for TGR match
 in update_counter instead (mu100 gets performance back) [hap]

-haplucky: Add note about component [AJR]

New systems marked not working
------------------------------
Speed Master (Ver. V1.0, Apr 29 2004) [siftware]

-taito/haplucky.cpp: added a couple more hw notes [Ivan Vangelista]

New clones marked not working
-----------------------------
Speed Master (Ver. V1.0, May 23 2003) [siftware]
Speed Master (Ver. V1.0, Apr 28 2004) [siftware]

-osd: Cleaned up MIDI and network interfaces a little more. [Vas Crabb]

New working clones
------------------
Super Enterprise (model 210.C) [hap, Berger]

New working clones
------------------
Little Professor (1976 version, rev. A) [hap, Sean Riddle]
Little Professor (1976 version, rev. B) [hap, Sean Riddle]

-also made the 1978 version the parent set [hap]

New clones marked not working
-----------------------------
Tandy 4000 [Adrian's Digital Basement]

-Added various TV games and cartridges: (#12072) [mamehaze]
 * nintendo/nes_clone.cpp: Added Croaky Karaoke 16-in-1.
 * skeleton/hudson_poems.cpp: Implemented tile flip enable flag and added Spoo Daisuki! Playmat.
 * tvgames/spg2xx.cpp: Added Dora TV Globe-Trotter (France) and Lexibook Junior My 1st Drawing Studio.
 * tvgames/xavix.cpp: Added Tokyo Friend Park 2.
 * gcslottv.xml: Added Juu-ou Junior cartridge.

New working systems
-------------------
Epoch / SSD Company LTD Tokyo Friend Park 2 (Japan) [David Haywood, TeamEurope]

New working clones
------------------
VTech Dora the Explorer - Dora TV Globe-Trotter (France) [David Haywood, TeamEurope]

New systems marked not working
------------------------------
Croaky Karaoke 16-in-1 [David Haywood, TeamEurope]
Konami Goo Choco Lantan Spoo Daisuki! Playmat [David Haywood, TeamEurope]
Lexibook Junior My 1st Drawing Studio [David Haywood, TeamEurope]

New software list items marked not working
------------------------------------------
gcslottv.xml: J?-? Junior [David Haywood, TeamEurope]

-apple2_flop_misc.xml: Added latest versions of Anti-M. (#12073) [Firehawke]

New working software list items (apple2_flop_misc.xml)
------------------------------------------------------
Anti-M (version 1.9) [4am, Firehawke]
Anti-M (version 2.0) [4am, Firehawke]
Anti-M (version 2.1) [4am, Firehawke]
Anti-M (version 2.2) [4am, Firehawke]

-hash/scv.xml: BASIC Nyuumon has and requires on-cart RAM (#12085) [TWEgit]

-pci/pdc20262: add base bus master interface [angelosa]

-heathkit/tlb.cpp: Use layout to mask border and create a visible bezel (#12010) [Mark Garlanger]

-heath/h17_fdc.cpp: Skeleton impl for the H-88-1 Hard-Sectored Controller (#11997) [Mark Garlanger]

-isa/svga_cirrus: preliminary remap callback for gd542x [angelosa]

-machine/sis85c496: fix PIC and RTC mapping [angelosa]

-pc/pcipc_sis: port mtouchxl BIOS variant to sis85c496 [angelosa]

-scn2674: fixed row table addressing mode as per documentation [Miodrag Milanovic]

-seta/srmp2.cpp: Consolidate driver in single file [AJR]

-h8: fix addx8/subx8 H flag when C=1 [hap]

-h8_timer: fix edge with compare match if both tt and tgr are larger than counter_cycle, h8325: mask unused iscr/ier bits [hap]

-h8: fix absolute address bst/bist opcode IMM data [hap]

-misc hap drivers: start to use P key for keypad now that it's not MAME Pause anymore [hap]

-h8_sci: Suppress SCK transition at end of transmit sequence, yet again [AJR]

-funcube: use memory_share_creator for nvram [hap]

-pc/pcipc_sis: preliminary W83787F Super I/O core; machine/sis85c496: add ISA irq pins; [angelosa]

-machine/w83787f: document config_map [angelosa]

-h8_timer8: remove unneeded timer_tick function, mastmind: replace internal artwork hacky V with checkmark icon [hap]

-plg150-ap: Added [Olivier Galibert]

-unico/unico.cpp: verified OKI frequency and pin 7, added dip locations [Guru]

-Enhance the sh704x.  MU128 MSTO, needs interrupts now. [Olivier Galibert]

-osd/modules/input: Various cleanup and minor enhancements. [Vas Crabb]
 * input_common.h: Got rid of the DirectInput key code macros.  DirectInput headers are always available on Windows - it's just an
    opportunity for bygs.
 * input_common.cpp: Added default names for keys mapped to MAME's "other switch" type.
 * input_rawinput.cpp: Simulate Pause key being held for 30ms, similarly to what's done for Caps Lock on macOS with SDL.  Also added
    a gross hack to give "correct" names for Pause and Num Lock.
 * input_sdl.cpp: Get default key names from SDL.  Not really that useful as it isn't aware of the current keyboard layout.  Key map
    files are still needed for anything other than a US ANSI layout.
 * Also added some comments.

-pc1512_hdd.xml: Changed interface match the ISA Fixed Disk Controller card used in the pc1512hd20. (#12086) [eientei95]

-h8_adc: 2320 ADCR CKS1 is on bit 3, correct typo, h8s2320: does not have ICR registers, h8_intc: remove unneeded trampolines (maybe
 a leftover from the past when emumem didn't support it) [hap]

-a800: Add Atari CX85 Numeric Keypad to controller port options [AJR]

-vcs_ctrl/cx85.cpp: Remove debugging leftover [AJR]

-vcs_ctrl/cx85.cpp: Function key fixes [AJR]

-fmtowns_cd.xml: Metadata cleanups (#12100) [ArcadeShadow]
 * fmtowns_cd.xml: Fixed cloneof relationships
   - "mbomberd" cloneof "mbomber" "mmorphd" cloneof "mmorph" "psydetf2d" cloneof "psydetf2" "psydet2d" cloneof "psydet2" /
      "psydet2r" cloneof "psydet2" "psydet1r" cloneof "psydet1" "psydet3r" cloneof "psydet3" "psydet4d" cloneof "psydet4" /
      "psydet4r" cloneof "psydet4" "psydet5r" cloneof "psydet5" "sherlockd" cloneof "sherlock" "simfarmd" cloneof "simfarm"
      "chasehqd" cloneof "chasehq" "dagaind" cloneof "dagain" "wyattd" cloneof "wyatt"
 * fmtowns_cd.xml: Lowercase on descriptive words
   - Lowercase on descriptive words ("Demo") "indycrusd" cloneof "indycrus"

-machine/sis85c496: add int pin mapper [angelosa]

-cpu/hcd62121: Implement missing mov instructions and timer wait (#12099) [qufb]
 * Co-authored-by: George Stagg <georgestagg@gmail.com>

-Fix a comment typo and clean up a few unnecessary spaces. (#12083) [Michael Sanborn]

-Moved Cave drivers and devices to atlus project and a new cave project. (#12090) [Angelo Salese]

-namco/namcos2.cpp: Added zoom table ROM to cosmogng and cosmogngj. (#12104) [PabloArcade]
 * Content is the same as other games on the platform.

-sega/lindbergh: denote missing DVD dump for hummerxt [Angelo Salese]

-sega/lindbergh: minor metadata fixes [Angelo Salese]

-Add support for 1801VP1-128 gate array (MFM codec) (#12089) [shattered]

-h8: add h8s/2319 family, make 2320 (now renamed to 2329) a subdevice, h8_watchdog: apparently fix funcube watchdog reset issue,
 mentor16: add lcd vertical layout to artwork [hap]

New working clones
------------------
Rail Chase (Japan, Rev B) [CoolMod, The Dumping Union]
Run Run (Do! Run Run bootleg) [Bisboch]

-unico/unico.cpp: consolidated driver in single file [Ivan Vangelista]

-h8: fix standby time travel problem [hap]

New systems marked not working
------------------------------
Festival: Goldfish Scoop [Darksoft, rtw, trap15]

New systems marked not working
------------------------------
Prize Zone Gold v2.01 [vidpro1, anonymous]

-isa/sblaster: quickly add remap to sb16, allow przonegd to boot to VGA mode [angelosa]

-pc/przone: identify some inputs, allow it to go in-game [angelosa]

-mt440: Add gfxdecode, note possible bad dump [Dirk Best]

New working systems
-------------------
Kasparov Chess Academy [hap, Sean Riddle]

-h8_watchdog: improve overflow flag reset [hap]

-seibu/deadang.cpp, seibu/kncljoe.cpp, seibu/stfight.cpp, seibu/wiz.cpp: consolidated drivers into single files [Ivan Vangelista]

-cave: rename epic12 to ep1c12 (1/2) [hap]

-cave: rename epic12 to ep1c12 (2/2) [hap]

-sega/megatech.cpp: Mega-Tech game cart readme additions (#12107) [Jos van Mourik]

-Re-add the subcomponents to the swx00 and tweak the adc [Olivier Galibert]

-video/pc_vga_s3: fix start address shift in extended video mode, fix heavy przonegd flicker and SDD scroll tests [angelosa]

-cx85: Invert polarity of B pot output [AJR]

-galaxian/galaxian.cpp: Add another Bagman bootleg on Moon Cresta hardware. (#12106) [ClawGrip]

New working clone
-----------------
Bagman (bootleg on Moon Cresta hardware, set 3) [David Bosque, Recreativas.org]

-jaleco/megasys1.cpp: Added MCU program for Cybattler. (#12108) [kuze]
 * Also added for Chimera Beast, marked as a bad dump until it can be confirmed to use the same mask ROM.

-util/cdrom.cpp: Refactored parse_cue and parse_gdicue (should fix GitHub #12081). (#12087) [987123879113]
 * This should greatly improve data integrity when creating and extracting GD-ROM images.
   - util/cdrom.cpp: Refactored parse_cue to handle GD-ROMs.
   - util/cdrom.cpp: Don't discard any data from GD-ROM cue/bin input including pre-gap data.
   - tools/chdman.cpp: Fixed splitframes handling.
   - tools/chdman.cpp: Added warning when extracting GD-ROM CHDs to cue/bin format.

-taito/2mindril.cpp: Added Two Minute Drill Ver 2.2A. (#12110) [Sergio G]

New clones marked not working
-----------------------------
Two Minute Drill (Ver 2.2A 1993/10/18) [Sergio Galiano]

-a2600.xml: Added three prototypes of UA Limited games (two working). (#12096) [ArcadeShadow]

New working software list items (a2600.xml)
-------------------------------------------
R2D Tank [Atarimania]
Spiders [Atarimania]

New software list items marked not working (a2600.xml)
------------------------------------------------------
Hobo [Atarimania]

-msx1_flop_525.xml: Added six Brazilian items (five working). (#12064) [wilbertpol]
 * Corrected Informatica to Informática in publisher names.
 * Updated some usage instructions.

New working software list items (msx1_flop_525.xml)
---------------------------------------------------
Poster Maker (Brazil) [file-hunter]
Professional Paint (Brazil) [file-hunter]
Professional Stripes (Brazil) [file-hunter]
Retrato Falado (Brazil) [file-hunter]
SuperCalc 2 (Brazil) [file-hunter]

New software list items marked not working (msx1_flop_525.xml)
--------------------------------------------------------------
Gradius System (Brazil) [file-hunter]

-input/input_rawinput.cpp: Properly align buffers for RAWINPUT header [Vas Crabb]

-jaleco/megasys1.cpp: Clarified comment about MCU program used for chimerab. [Vas Crabb]

New working clones
------------------
Flicky (128k Version, 315-5051, larger roms, newer) [Bisboch]

-seibu/cabal.cpp, seibu/darkmist.cpp, seibu/dcon.cpp: consolidated drivers into single files [Ivan Vangelista]

-Fixed sound of gomoku and kozure (by Takahiro Nogi) [wd40yasu]
 * gomoku: fixed frequency of oneshot voices
 * kozure: kozure uses waveform select function of YM3812. Previously MAME used YM3526. This results incorrect tone.

-rm/rm380z.cpp: Added support for high resolution graphics, colour and text character dimming. (#12044) [Robin Sergeant]
 * Fixed MT06483 by making empty ROM areas read high (0xff).
 * Also refactored the code to better align with current practices.

-h8h: fix N flag with exts opcode, h8h: fix regression with jsr abs8i, h8h: fix bst abs16 opcode [hap]

-h8h: fix rte in normal mode [hap]

-novag*: change company string to Novag Industries [hap]

-h8: correct typo with dasm abs16 [Olivier Galibert]

-scprof: small tweak to svg [hap]

-misc/calomega.cpp: Added proper bipolar PROM dump to comg079. [Roberto Fresca]

-misc/odyssey.cpp: Added SGI BIOS 62. [Roberto Fresca]

-cpu/g65816: Don't expose a pile of macros to downstream users. [Vas Crabb]

-h8: add internal rom to address map for some h8 devices [hap]

-seibu/bloodbro.cpp, seibu/raiden.cpp, seibu/toki.cpp: consolidated drivers into single files [Ivan Vangelista]

-misc hap disasm: move opcode mnemonics enum out of header file [hap]

-misc hap disasm: correction to prev commit [hap]

-The abs16/abs32 variants of the bit operations seem to have been introduced in the h8s2000 [Olivier Galibert]

New systems marked not working
------------------------------
Star Diamond [hap, Berger]

-diserial: increase start delay from 0.25 to 0.33 cycle [hap]

New non-working machines
------------------------
Yamaha PSR 2000 [Matt, O. Galibert]

-pc_vga_cirrus: fix interlace mode, fix divisor on 16-bit pixel mode [angelosa]

-bus/vcs_ctrl: Move "cx85" into the general devices list on the slim chance it might be useful with other systems [AJR]

-misc/gammagic: add v8000 68k roms [Grull Osgo]

-misc/gammagic.cpp: Upgrade 68K CPU to more likely type [AJR]

-misc/gammagic.cpp: Update note [AJR]

Systems promoted to working
---------------------------
Star Diamond [hap, Berger]

-sdiamond/scorpio68: small update to internal artwork [hap]

-deadang: keep section header comments consistent [hap]

New systems marked not working
------------------------------
Visual 50 [Dirk Best, Bitsavers]

-diserial: change the rx start delay to more realistic 0.5 cycles [hap]

-odyssey2: correct 0xc00-0xfff rom mirroring [hap]

-various drivers: removed unwanted comments / separators [Ivan Vangelista]

-nmk/nmk214.cpp: Added NMK214 graphics unscrambling device. (#12039) [Sergio G]
 * The current implementation is less than ideal due to inflexibility of device_gfx_interface.
 * nmk/nmk16.cpp: Hooked up NMK214 device for sabotenb.

-bus/msx/slot/disk.cpp: Added banking support for MSX Turbo-R internal disk ROM. (#12117) [wilbertpol]

-msx1_cass.xml: Added four items (three working). (#12114) [wilbertpol]
 * Marked Aackobase II items as releases for Netherlands rather than Europe.
 * Added disk version to Aackobase II (Netherlands) and Aackobase II (Netherlands, alt). [file-hunter]

New working software list items (msx1_cass.xml)
-----------------------------------------------
The Games Collection (Europe) [anonymous]
Games Tutor (I) (Spain) [file-hunter]
Hard-Copy (Spain) [file-hunter]

New software list items marked not working (msx1_cass.xml)
----------------------------------------------------------
T-GRAPH (Europe) [file-hunter]

-machine/t10mmc: Fix MSF to LBA conversion for T10MMC_CMD_PLAY_AUDIO_MSF (#12113) [987123879113]
 * machine/t10mmc: Fix MSF to LBA conversion for T10MMC_CMD_PLAY_AUDIO_MSF
 * machine/t10mmc: Clean up how to_msf/to_lba is used throughout the code

-t10spc.cpp: Fix minor error in previous refactoring [AJR]

-apple/apple2e.cpp: reset IOU softswitches (#12003) [xotmatrix]

-video/pc_vga_cirrus: misc cleanups [angelosa]

-video/pc_vga_cirrus: bulk replace device naming [angelosa]

-bus/pci: add Cirrus Logic GD5446 card [angelosa]

-video/pc_vga_cirrus: add start address bit 19 for GD5430+ [angelosa]

New machines added as NOT WORKING
---------------------------------
Roland D-70 Super LA Synthesizer [giulioz, ValleyBell, R. Belmont]

-video/pc_vga_cirrus: fix pitch offset [angelosa]

-video/pc_vga: retire vblank_timer_cb override, add a latch_start_addr fn in place [angelosa]

New systems marked not working
------------------------------
Captain Shark (Ver. CS.01.6, Apr 21 2006) [Ioannis Bampoulas]

-misc/astrcorp.cpp: redumped u26 GFX ROM for monkeyl and clone [Ioannis Bampoulas]

-bus/a2bus: Added SNES MAX game controller interface card. [Vas Crabb]

-docs: Clarified description of EMULATOR make option. [Vas Crabb]

New machines marked as NOT_WORKING
----------------------------------
Quasimidi Quasar [DBWBP]
TechnoX [DBWBP]

-pc/sis630: initial implementation for IT8705F Super I/O [angelosa]

-pc/europc_kbd.cpp: Get rid of UTF8_* macros [AJR]

-misc/gammagic.cpp: Note mapping for peripheral to be added later [AJR]

-misc/neomania: add parallel port device notes [angelosa]

-machine/it8705f: add UARTs [angelosa]

-machine/it8705f: add non-working FDC [angelosa]

-cdi.xml: Added a Hotel Mario prototype (#12123) [David 'Foxhack' Silva]
 * cdi.xml: Added a Hotel Mario prototype

New working software list additions
-----------------------------------
Hotel Mario (prototype v0.09, 19931123) [redump.org]

-funworld/photoply: convert to new PCI [angelosa]

-cpu/z80/r800dasm.cpp: Add disassembler for ASCII R800. (#12116) [wilbertpol]

-ns32000: hook exceptions in debugger prior to entry [Patrick Mackinlay]
 * handle unexpected double memory abort

-ns32082: fix level two page table validity bug [Patrick Mackinlay]

-ns32202: check interrupt status after in-service write [Patrick Mackinlay]

-ncr5385: initial nscsi implementation [Patrick Mackinlay]

-tek4132: add scsi and dma controller [Patrick Mackinlay]
 * icm3216: add scsi controller

-funworld/photoply.cpp: Typo (#12125) [ClawGrip]

New systems marked not working
------------------------------
Wicked Witch (Ver. AA.01.A) [Ioannis Bampoulas]

-misc/ez2d.cpp, pinball/idsa.cpp, unico/unianapc.cpp: renounced copyright [Ivan Vangelista]

-Fixes and cleanup: [Vas Crabb]
 * roland/roland_d70.cpp: Use object finders, use memory shares rather than ram_device, fixed Endianness bugs, fixed bad
    indentation, fixed double-qualified member functions, use m_ prefix consistently for members, use lowercase hex digits, don't
    allow writes to ROM, fixed header #include order.
 * docs: Corrected docmented default for ui_mouse option.
 * tektronix/tek440x.cpp: #include local headers first, etc.
 * bus/a2bus/snesmax.h: Fixed copy/pasted comment.
 * yamaha/ympsr2000.cpp: Put code in an anonymous namespace.

-rm/rm380z.cpp: Use SN74S262 as the VDU-40 COS 3.4 character generator. (#12128) [Robin Sergeant]
 * Also cleaned up drawing code.

-video/sn74s262.cpp: Added hand-crafted character generator ROM based on datasheet. [Robin Sergeant]

-rendfont: set minimum width of scaled bitmap for font chars used in .lay files to 1 if it's larger than 0.5, this prevents
 lowercase l and i not showing while the text label is still readable (I also tried rounding up everything but that's uglier
 overall), misc: small cleanup [hap]

-rolandpcm: fix out of bounds array access [hap]

-misc h8 drivers: digital I/O ports are 8bit (probably leftover from when they were in AS_IO address map) [hap]

-ymmu*: invert lcd edge, h8_port: write hi-z output pins as 1 [hap]

-bfm/bfm_bd1.h, bfm/bfm_bda.h: const -> constexpr, fixes undefined references when building with -O0 on macOS (#12129) [balr0g]

-ncr5385: single byte transfers [Patrick Mackinlay]

-taito_h.cpp: Updated notes, DIP switch defaults and emulation flags. (#12126) [Sergio G]
 * Marked Syvalion as not supporting cocktail mode and added notes about issues.
 * Corrected default lives DIP switch settings for Syvalion to match manual.
 * Added notes about ROM type selection settings.

New systems marked not working
------------------------------
Happy Farm (Ver. US.01.02.B) [Ioannis Bampoulas]

-sp0256: remove reset lrq timer workaround that was added there for odyssey2 killer bees. Bad luck: everything o2 works same as
 before except turtlesu, instead of failing to detect The Voice only sometimes, now it happens more commonly. Not due to the removed
 timer, but actually the stream updates before accessing I/O which should be more accurate. [hap]

-bus/pci: add SiS6326 AGP card [angelosa]

-acorn/atom.cpp: Pull XTAL definitions out of header; add FDC clock [AJR]

-cpc_ssa1: simplify sp0256 lrq/sby pin read, sp0256: when callbacks are used, add bg timer like sp0250 does [hap]

new WORKING machines (#12133)
-----------------------------
Vampire (prototype?) [Tomasz Slanina, Heiko Klusmann]

-vampire: use gen_latch device for soundlatch, small cleanup [hap]

-vampire: shorthand variable types, soundchip is 8910 [hap]

-vampire: add number of lives dsw [hap]

New systems marked not working
------------------------------
XDS-19P [Dirk Best, Bitsavers]

New systems marked not working
------------------------------
Alantin - Aladdin's Magic Lamp [Ioannis Bampoulas]
Dark Seal (8-liner) [Ioannis Bampoulas]
New Carrera - Version 2000 [Ioannis Bampoulas]

New clones marked not working
-----------------------------
Bomberman (Version 6.6, Avraam bootleg) [Ioannis Bampoulas]
Bomberman (Version 6.6, J.T. bootleg) [Ioannis Bampoulas]

-Fix compile error in 3rdparty/asio with newer Emscripten versions (#12098) [Justin Kerk]

-Fix compile error in 3rdparty/bx with newer Emscripten versions (#12098) [Justin Kerk]
 * From bkaradzic/bx@03fd6f47715774e2aebbb429663ac553da2fa397

-video/pc_vga_sis: add SiS6326 VGA core [angelosa]

-video/pc_vga_sis: fix -validate [angelosa]

-Slightly different fix for asio compilation with newer Emscripten (#12098) [Justin Kerk]
 * This restores the previous status quo from Emscripten 3.1.28 where asio is always compiled with pthread support, however
    threading is still not actually functional in the Emscripten target.
 * The change in behaviour appears to be due to emscripten-core/emscripten@690f1bdb9ecac731a071225d33cb5b4a192144e9

New working clones
------------------
Fruit Dream (Japan, Ver. 1.10) [Hammy]

New working systems
-------------------
Hana Awase 6 Part II [BET] [Hammy]

-alba/albazg.cpp: added dip locations, verified dips for hana6pt2 [Ivan Vangelista]

-acorn/atom.cpp, skeleton/qmsirius.cpp: Misc. small updates [AJR]

-ncr5385: tolerate slow targets [Patrick Mackinlay]

-tek440x: add msu floppy drive device [Patrick Mackinlay]

-xds19p: Add file required to network boot, mark working [Dirk Best]

Systems promoted to working
---------------------------
XDS-19P [Dirk Best]

-video/pc_vga_sis: document remaining sequencer regs [angelosa]

New systems marked not working
------------------------------
ST-V 486 dev box PC [Darksoft, TeamEurope, The Dumping Union]

-docs: get rid of swlist folder [angelosa]

New machines added as NOT_WORKING
---------------------------------
Roland Sound Canvas SC-55mkii [nukeykt, R. Belmont]

New systems marked not working
------------------------------
ADDS 4000/260 [Bitsavers]

-Move adds2020 and vp60 into adds folder [Dirk Best]

-mc68000: Add monitor ROM V1.43 [mister-freeze]

-misc drivers: removed [TTL] and [BET] tags in titles [Ivan Vangelista]

-subsino/subsino.cpp: Added New DongmulDongmul from Hyoja Game (not working). (#12141) [ClawGrip]

New systems marked not working
------------------------------
New DongmulDongmul [Taksangs, charlie]

-apple/apple2gs.cpp: Fixed c000_r to return joystick button states in bit 7 (fixes MT08736). (#12139) [ksherlock]

-casio/pickytlk.cpp: Added skeleton driver for Super Picky Talk. (#12138) [qufb]

New systems marked not working
------------------------------
Casio Super Picky Talk - Forest of Gurutan (JD-370) [QUFB]

-casio/pickytlk.cpp: Simplified screen update, fixed off-by-one error. [Vas Crabb]

-roland/roland_sc55mk2.cpp: Removed unnecessary header. [Vas Crabb]

-alba/albazg.cpp: Added Japanese title to comment for hana6pt2. [Vas Crabb]

-rm/rm380z.cpp: Fixed disk drive handling so double sided disks work added 8" disk support. (#12144) [Robin Sergeant]
 * Changed /M firmware variants to use double-sided 5.25" drives.
 * Changed /F firmware variants to use double-sided 8" drives.
 * Fixed side select signal connection.
 * Fixed addressing for floppy control I/O functions.

New systems marked not working
------------------------------
Cal Omega - Game 21.4 (Wild Double-Up Poker) [Roberto Fresca]

-rm/rm380z.cpp: Add sound for COS 4.0 (#12149) [Robin Sergeant]

-rendlay: fix off-by-1 error with alpha blended disk element [hap]

-h8: add more variables to savestate, h8_intc: fix issue with multiple pending edge triggered irq [hap]

-misc chess: small cleanup [hap]

New working systems
-------------------
Ivan The Terrible [hap, Sean Riddle]
Mirage (Excalibur) [hap, Sean Riddle]

-misc/jaminator.cpp: Added driver and software list for Noise Toys Jaminator guitar toy. (#12146) [Devin Acker]
 * sound/cf61909.cpp: Added Texas Instruments CF61909 sound chip device.

New working systems
-------------------
Noise Toys Inc. Jaminator [Devin Acker]

New working software list items
-------------------------------
jaminator.xml: Classic Rock I (USA), Classic Rock II (USA), Hard Rock I (USA), Hard Rock II (USA), Lead Rock Guitarists (USA),
  Modern Rock (USA) [Devin Acker]

-tecmo/tecmp.cpp: Changed rygar/gemini difficulty setting names to better reflect documentation. (#12134) [Devin Acker]

-upd7261: new device [Patrick Mackinlay]

-mg1: add hard disk controller [Patrick Mackinlay]

-tek440x: update comments [Patrick Mackinlay]

-emirage: fix irq1/2 pin read [hap]

-galaxian/galaxian.cpp: Added Diviertate Galaxia (Spanish Galaxian bootleg from Multivideo). (#12150) [ClawGrip]

New working clones
------------------
Diviertate Galaxia (Multivideo, Spanish bootleg of Galaxian) [Juan Romero, Recreativas.org]

-hiscore.dat: fix renamed sets [cracyc]

-mb88xx: clean up spacing, single line comments, shorthand variable types [hap]

-spectrum_cass.xml: Added 41 items (40 working). (#12148) [ArcadeShadow]
 * Also corrected metadata with information from Spectrum Computing.

New working software list additions (spectrum_cass.xml)
-------------------------------------------------------
48K ?3 - Maziacs [Spectrum Computing]
48K ?5 - Regata [Spectrum Computing]
48K ?6 - Especial Marcianitos [Spectrum Computing]
48K ?9 - Frank N' Stein [Spectrum Computing]
48K ?11 - Camara Secreta [Spectrum Computing]
Bulbo and the Blue Dragon [Spectrum Computing]
Bulbo's Intrepid Adventure [Spectrum Computing]
Corrida de Cavalos [Planeta Sinclair]
Chip's Challenge (one sided tape) [Spectrum Computing]
Chip's Challenge (Erbe) [Spectrum Computing]
Ditador + Treinador de Futebol [Planeta Sinclair]
Diversidade e Classificação de Seres Vivos [Planeta Sinclair]
Férias em Portugal [Planeta Sinclair]
Italia 1944 (English) [Zankle Soft]
Italia 1944 (German) [Zankle Soft]
Italia 1944 (Italian) [Zankle Soft]
Italia 1944 (Portuguese) [Zankle Soft]
Italia 1944 (Russian) [Zankle Soft]
Italia 1944 (Spanish) [Zankle Soft]
H.E.R.O. (Proein Soft) [Planeta Sinclair]
Metamorphosis [ITNL-team]
Metamorphosis (128K, Valentine's Day demo) [ITNL-team]
Metamorphosis (48K, Valentine's Day demo) [ITNL-team]
Mira Técnica [Planeta Sinclair]
Mira Técnica (patched) [Planeta Sinclair]
O Esqueleto Humano [Planeta Sinclair]
Orgãos Reprodutores [Planeta Sinclair]
Ring-O (alt) [Planeta Sinclair]
Scrabble + Campo de Minas [Planeta Sinclair]
Star Bowls [Spectrum Computing]
Super Bomberman 2 Remix (demo v0.1) [ZX Evolution]
Super Bomberman 2 Remix (demo v1.1) [ZX Evolution]
Super Soho [Planeta Sinclair]
Swords & Sorcery (set 4) [Planeta Sinclair]
The Dungeon of Torgar (Adventure Workshop, alt) [Planeta Sinclair]
The Last Escape [Ariel Endaraues]
Treinador de Futebol [Planeta Sinclair]
Wudang (standard loader) [Spectrum Computing]
Wudang (turbo loader) [Spectrum Computing]
Wudang (Pure Basic Contest version) [Spectrum Computing]

New software items marked not working (spectrum_cass.xml)
---------------------------------------------------------
Prioridade Em Cruzamentos [Planeta Sinclair]

-msx2p_cart.xml: Added a software list for MSX2+ cartridges with three items (two working). (#12130) [wilbertpol]
 * Software list is not currently attached to any systems.

New working software list items (msx2p_cart.xml)
------------------------------------------------
Ghostly Manor [9958 crew]
Nothing Thing [#msxdev Compo]

New software items marked not working (msx2p_cart.xml)
------------------------------------------------------
Knit Designer (Japan) [Takamichi]

-igs/goldstar.cpp: Added a fourth version of Animal House set, and PLDs dumps for 'animalhsb'. (#12109) [ClawGrip]
 * Added PLDs dumps for 'animalhsb'. [Taksangs, charlie]

New clones marked not working
-----------------------------
Animal House (set 4) [Taksangs, charlie]

-sms.xml: Added 19 working items (#12121) [ArcadeShadow]

New working software list additions (sms.xml)
---------------------------------------------
Arcade Volleyball [SMS Power!]
Blast Arena [SMS Power!]
Extreme Volleyball Infernal League (v1.0.2) [SMS Power!]
Extreme Volleyball Infernal League (v1.0.5) [SMS Power!]
Extreme Volleyball Infernal League (v1.0.6) [SMS Power!]
Extreme Volleyball Infernal League (v2.0.21, demo) [raphnet]
Fantasy Zone: The Maze (prototype) [SMS Power!]
Jewel Stone (demo) [SMS Power!]
Lucky Penguin (v1.0) [SMS Power!]
Lucky Penguin (v1.1) [SMS Power!]
Pitman (v1.02) [SMS Power!]
Pitman (v1.03) [SMS Power!]
SKBN (v1.0) [SMS Power!]
SKBN (v1.1) [SMS Power!]
SKBN (v1.2) [SMS Power!]
SKBN (v1.3) [SMS Power!]
SKBN (v1.4) [SMS Power!]
Wing Warriors [SMS Power!]
Wing Warriors (fix) [SMS Power!]

-Use literal romaji for Jikkyou Powerful Pro Yakyuu game titles. (#12074) [Vas Crabb]
 * Official media leans towards using literal romaji "JIKKYOU PAWAFURU PURO YAK?".
 * Software lists still have "Jikkyou Powerful Pro Yakyuu" to help people search.

-sony/psx.cpp: Added compatibility filters for CD software list. [Vas Crabb]

-nmk/nmk16.cpp: Use emulated NMK214/NMK215 protection for more games. (#12152) [Sergio G]
 * NMK214/NMK215 emulation is now used for Macross, GunNail, Bombjack Twin and Nouryoku Koujou Iinkai games.
 * Also corrected clock frequencies and added more notes about bootlegs. [hammy]

New systems marked not working
------------------------------
Maque Wangchao / Chaoji Damanguan 2 - Jiaqiang Ban (China, V100C) [dyq, little0, Guru]
Tong Zi Maque [dyq, little0, Guru]

-h8: don't save the mode settings, move mac_saturating var to h8s2600 and hook it up [hap]

-cpu/hcd62121, casio/cfx9850.cpp: Various fixes: (#12137) [qufb]
 * cpu/hcd62121: Fixed register accesses from the debugger.
 * cpu/hcd62121: Implemented the TIME register.
 * cpu/hcd62121: Implemented more instructions tested on hardware.
 * cpu/hcd62121: Fixed swap flags - they are always cleared regardless of values.
 * cpu/hcd62121: Fixed timer so that it expires on KO enabled key input.
 * cpu/hcd62121: Added an infinite timer variant, (seems to be used with the low power-variant of timer_wait).
 * casio/cfx9850.cpp: Fixed CFX9850GB display RAM mapping - this one doesn't write to segment 0x60.
 * casio/cfx9850.cpp: Adjusted palette to better match screenshots in the manual.

-Start adding the m37640 [Olivier Galibert]

-swx00: Advance [Olivier Galibert]

-sh7042: Start introducing the interrupts [Olivier Galibert]

-dirom fix [Olivier Galibert]

-mks3: first hle [Olivier Galibert]

-h8_timer: compare match event was off by 1 [hap]

-emu/debug/debugcmd.cpp: Added support for lowercase hex to printf/logerror. [Patrick Mackinlay]
 * Also simplified implementation by better leveraging util/strformat.h.
 * This is from pull request #12124, to get some testing for the fundamental change before freeze.

-Add a skeleton for a new PC-based game named 'Pull The Trigger' (#12153) [ClawGrip]

New not working machine
-----------------------
Pull The Trigger [Arcade Planet, Recreativas.org]

New systems marked not working
------------------------------
Jin Xiu Zhong Hua [dyq, little0, Guru]

-misc/astrcorp.cpp: dumped EEPROM for speedmst [Siftware]

-skeleton/sterz80.cpp: measured clocks [Guru]

-visual50: Main screen turn on [Dirk Best]
 * Added dump of character generator ROM and Revision 0.08 firmware [Bitsavers]
 * Initial screen rendering, but missing most attributes
 * Implement keyboard [Dirk Best, Bitsavers]
 * Start documenting PPI connections

Systems promoted to working
---------------------------
Visual 50 [Dirk Best]

-fidel_phantom: update internal artwork color theme [hap]

-mks3: Fix keyoff psr340: Finish the lcd, add the nvram. [Olivier Galibert]

-mks3: Fix copy/paste error that prevented saving mappings [Olivier Galibert]

-cirsa/neptunp2.cpp: Added Charleston electromechanical slot machine from Europea. (#12157) [ClawGrip]
 * Also added version numbers to descriptions for Corsarios and Multi Points

New systems marked not working.
-------------------------------
Charleston (V2.1, Catalonia) [Arcade Planet, Recreativas.org]

-misc swx00 fixes [Olivier Galibert]

-heathkit/h89.cpp: Added missing conditions to some Ultimeth MTRHEX-2k DIP switch settings. (#12155) [Mark Garlanger]
 * Also aligned DIP switch locations and conditions.

-Updated some comments. [Vas Crabb]

-Added e-kara, Hi-kara and Karaoke Ranking Party cartridges. [Vas Crabb]

New workng software list items
------------------------------
ekara_japan: J-Pop Mix Vol.42 (Japan) (EC0081-JPM), J-Pop Mix Vol.43 (Japan) (EC0083-JPM), Enka Taizen Dai San-hen (Japan)
  (EC0085-ETZ) [David Haywood, TeamEurope]
ekara_japan_g: Best Hit Volume 5 (Japan) (GC0012-BHT), Best Hit Volume 6 (Japan) (GC0013-BHT) [David Haywood, TeamEurope]
ekara_japan_kd: Kids' Song 20 (Japan) (KD-2) [David Haywood, TeamEurope]

New software list items marked not working
------------------------------------------
bkrankp_cart: J-Pop Purple, J-Pop White, Yo-Kai Watch [David Haywood, TeamEurope]
evio: Disney Special 1 [David Haywood, TeamEurope]
hikara: Hi-kara 10-song capacity user cartridge (used, with 10 songs) (Japan), Hi-kara 20-song capacity user cartridge (used, with
  20 songs) (Japan) [David Haywood, TeamEurope]

-process all new ROM dumps sent by Team Europe and Sean Riddle [David Haywood] (#12004) [mamehaze]

New systems marked not working
------------------------------
Interactive M.A.G. Motion Activated Gear: Toy Story and Beyond! Buzz Lightyear Galactic Adventure [David Haywood, Sean Riddle]
Interactive M.A.G. Motion Activated Gear: The Batman - Villains of Gotham City [David Haywood, Sean Riddle]
Interactive M.A.G. Motion Activated Gear: Spider-Man - Triple Threat [David Haywood, TeamEurope]
Who Wants to Be a Millionaire? (Play Vision, Plug and Play, UK, 8-bit version) [David Haywood, TeamEurope]
Excite Tennis (Japan) [David Haywood, TeamEurope]
Sudoku: Do You Sudoku? [David Haywood, TeamEurope]

New clones marked not working
-----------------------------
Fun 2 Learn Smart Fit Park (France) [David Haywood, TeamEurope]

-igs/pgm2.cpp: Add the program ROM of "Bu Bu Car" (#12132) [ClawGrip]

New systems marked not working
------------------------------
Bu Bu Car (English) [Victor Fernandez (City Game), Recreativas.org]

-drawogl: increase texture hashtable size (emirage/robotadv were crashing with opengl renderer) [hap]

-misc chess: small tweak to leds [hap]

New working systems
-------------------
416 XL (Yeno) [hap, Berger Achim]

-source org: move yeno drivers to yeno folder [hap]

New working clones
------------------
Super Nova (Novag, v1.05 set 2) [Berger]

-emu/debug/debugcmd.cpp: Add NUL-terminated string argument support to printf/logerror. (#12124) [Patrick Mackinlay]
 * Use %s to read NUL-terminated strings from emulated memory.  Precision sets maximum length.
 * Also added left-justification option for numeric and string formats.
 * Made documentation more consistent and removed duplication.

New systems marked not working
------------------------------
San Se Caishen (Version 0502) [dyq, little0, Guru]

-machine/mediagx_host: prepare for MediaGX virtual VGA hookup [angelosa]

-mr/dribling.cpp: Added netlist sound simulation for Model Racing Dribbling. (#12147) [Paperinik]
 * Marked as imperfect sound for now due to lack of a suitable JFET model for the PARATA function generator.

-freedom200: Support reverse video [Dirk Best]
 * freedom220_kbd: Support buzzer, clean up

-mr/nl_dribling.cpp: Added note about error in schematic. [Vas Crabb]

-netlist/nl_create_mame_solvers.sh: Updated for (not-so-)new source layout. [Vas Crabb]

-snes_bspack.xml: Metadata cleanups (#12160) [ArcadeShadow]
 * Lowercase on descriptive words ("Bad Header", "Hacked", "Alt", etc...)

New systems marked not working
------------------------------
Shizhan Sanguo Ji Jiaqiang Ban (Version 8.9 980413)  [dyq, little0, Guru]

-misc/gms.cpp: Fixed DIP switch settings for San Se Caisheng. [Vas Crabb]

-cirsa/neptunp2.cpp: Added two electromechanical slot machines from Cirsa. (#12158) [ClawGrip]
 * cirsa/neptunp2.cpp: Added Gladiadores electromechanical slot machine from Cirsa.

New not working machine
-----------------------
Gladiadores (V1.0, CAA) [Arcade Planet, Recreativas.org]

-mame.lst: Add 'gladiador' [ClawGrip]

New not working clone
---------------------
Corsarios (Cirsa slot machine, V5.10D, Catalonia) [ClawGrip]

-capcom/vulgus.cpp: Add a 1942 bootleg from Itisa (has bad graphics). (#12103) [ClawGrip]

New not working clones
----------------------
1942 (Itisa bootleg) [Recreativas.org]

-imagedev/cassette.cpp, formats/flacfile.cpp: Added support for saving cassette images in FLAC format. (#12115) [wilbertpol]
 * util/flac.cpp: Implemented seek/tell callbacks for FLAC library.

-Miscellaneous cleanup: [Vas Crabb]
 * cirsa/neptunp2.cpp: Add a sucffix to parent short name for clone short name.
 * liberty/freedom200.cpp: Use swapable idiom on the off chance someone implements swap for rgb_t.
 * misc/gms.cpp: Fixed another DIP switch description.

-tvgames/xavix.cpp: Hooked up controls for tomplc and tcarnavi, and promoted them to working. (#12163) [mamehaze]
 * Also increased tomplc CPU clock frequency to 43MHz (avoids crashes).
 * Corrected years for a couple of games.

Systems promoted to working
---------------------------
Tomy / SSD Company LTD Tomica Carnavi Drive (Japan) [David Haywood]
Tomy / SSD Company LTD Nihon Isshuu - Boku wa Plarail Untenshi (Japan) [David Haywood]

New systems marked not working
------------------------------
Bao Qing Tian [dyq, little0, Guru]

-mame.lst: corrected error [Ivan Vangelista]

-gp32.xml: Metadata cleanups (#12159) [ArcadeShadow]
 * Replaced countries' abbreviations by their full name
 * Moved test comments to notes tag

-misc/diamondking.cpp: Added "Caribe" slot machine from Segasa Sonic (#12167) [ClawGrip]

New not working machine
-----------------------
Caribe [Arcade Planet, Recreativas.org]

-mr/dribling.cpp: Add partial dump of Automave version of Dribbling from Spain. (#12162) [ClawGrip]
 * Four damaged ROMs replaced with content from parent.

New working clones
------------------
ribbling (Automave) [David Bosque, Recreativas.org]

-formats/dmk_dsk.cpp: Improve checks in identify. (#12118) [wilbertpol]
 * Add structure checks in identify
 * Use less strong FIFID flags

-megadriv.xml: Added HeartBeat PGA Tour Golf II. [Vas Crabb]
 * Also changed "SegaNet" to "Sega Game Toshokan" and "16 Ton" to "16t" in descriptions. [ICEknight]

New software list items marked not working
------------------------------------------
megadriv.xml: HeartBeat PGA Tour Golf II [Brian Nocenti, VGHF]

-video/mc6845.cpp: Restore support for zero active width/height configuration (#12007) [Mark Garlanger]
 * Avoid writing to bitmap when DE is disabled

-Revert "video/mc6845.cpp: Restore support for zero active width/height config…" (#12169) [Vas Crabb]
 * This reverts commit cb5624978a31e135562d6b7f4b9ea4feaa1ad712.
 * This is a case of attempting to fix the symptom rather than the issue, and it breaks all systems that use 6845-family CRTCs with
    "show borders" set.

-hash/megadriv.xml: sort wcup90 metadata [angelosa]

-machine/mediagx_host: document GP / DC maps [angelosa]

-machine/sis950_lpc: replace PS/2 controller back to LLE [angelosa]
 * resolve hangs described in PR #11797 by using a microsoft serial mouse

-pc/sis630: more BIOS notes [angelosa]

New working clones
------------------
Ms Pac Man Twin (Argentina, set 2) [Roberto Fresca, Gabriel Vega (El Pampa), Emmanuel Firmapaz, Club Argentino de Arcades]

New working clones
------------------
Mr Pac-Turbo ('Made in Greece' Fermin bootleg)
  [Roberto Fresca, Gabriel Vega (El Pampa), Emmanuel Firmapaz, Club Argentino de Arcades]

-pacman/pacman.cpp: Marked mspacmanbgf as IMPERFECT_COLORS. B-G channels are swapped in the real game, showing a purple/pink Ms
 PacMan. [Roberto Fresca]

-pacman/pacman.cpp: Swapped G-B color lines in mspacmanbgf and mspacmanbco sets to match the real hardware. Removed the
 IMPERFECT_COLORS flag. [Roberto Fresca]

-pacman/pacman.cpp: Fix rom region error... [Roberto Fresca]

-machine/mediagx_host: move VGA to own core [angelosa]

-pacman/pacman_v.cpp: Made code less confusing. [Vas Crabb]

-i386: handle double and triple faults [cracyc]

-irem/m72.cpp: Corrected typos in three ROM labels. [Arnaud Ancel]

-rm/rm380z.cpp: Fixed 8" disk controller clock frequency and improved VDU-80 display. (#12166) [Robin Sergeant]
 * Support VID INHIB bit and clear attributes on character write.

-cpu/t11: Improved trace trap processing, and added basic interrupt processing to the K1801VM1. (#12151) [shattered]

-srcclean and fix indentation in preparation for MAME 0.264 branch. [Vas Crabb]

-emirage: fix magnet/piece locate center [hap]

-misc: small cleanups [hap]

-Various metadata fixes. [Vas Crabb]

-util/unzip.cpp: Work around spurious maybe uninitialised warning with certain GCC versions. [Vas Crabb]

-avr8: some registers were missing from addressmap, avr8: fix regression with C flag on SBIW opcode, fix V flag on DEC/SBIW opcodes
 [hap]
 * (cherry picked from commit fbabb96113d690ea562a3258cdf52823d799c1e2)

-avr8: fix SBIW V flag once more [hap]
 * (cherry picked from commit 6517b66f3e9f3be8d709872652432eab541b709e)

-avr8: fix port D bit 7 toggle on timer2 [hap]
 * (cherry picked from commit 2db21a34b5be8782c1ba510c4fdfc96d37cabea4)
